%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           pinpoint
Version:        0.1.8
Release:        %mkrel 5
Summary:        A tool for making hackers do excellent presentations
Group:          Office/Utilities
License:        LGPLv2+
URL:            https://wiki.gnome.org/Pinpoint
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		pinpoint-0.1.8-CVE-2013-7447.patch
BuildRequires:	pkgconfig(cairo-pdf) >= 1.9.12
BuildRequires:	pkgconfig(clutter-1.0) >= 1.4
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(clutter-x11-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(pangocairo)

%description
Pinpoint a simple presentation tool that hopes to avoid audience death
by bullet point and instead encourage presentations containing
beautiful images and small amounts of concise text in slides.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/pinpoint
%{_datadir}/pinpoint


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.1.8-5.mga9
+ Revision: 1841826
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1.8-4.mga8
+ Revision: 1515945
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.8-3.mga7
+ Revision: 1300285
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 luigiwalser <luigiwalser> 0.1.8-2.mga6
+ Revision: 958443
- add patch to fix CVE-2013-7447

* Thu Sep 24 2015 tv <tv> 0.1.8-1.mga6
+ Revision: 883132
- BR pkgconfig(clutter-gtk-1.0)
- new release

* Tue Jul 28 2015 ovitters <ovitters> 0.1.6-1.mga6
+ Revision: 858340
- new version 0.1.6

* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-18.mga5
+ Revision: 743075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.4-17.mga5
+ Revision: 687601
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 pterjan <pterjan> 0.1.4-16.mga5
+ Revision: 596096
- Rebuild for new cogl

* Sat Feb 08 2014 ovitters <ovitters> 0.1.4-15.mga5
+ Revision: 585983
- rebuild for new cogl

* Sat Nov 09 2013 ovitters <ovitters> 0.1.4-14.mga4
+ Revision: 550196
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.1.4-13.mga4
+ Revision: 531165
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 dams <dams> 0.1.4-12.mga4
+ Revision: 462419
- rebuild for new cogl

* Thu Jul 18 2013 fwang <fwang> 0.1.4-11.mga4
+ Revision: 455515
- tweak br

* Thu Jul 18 2013 fwang <fwang> 0.1.4-10.mga4
+ Revision: 455511
- do not dependes on clustter-gst-1.0

* Sun Jul 14 2013 sander85 <sander85> 0.1.4-9.mga4
+ Revision: 454311
- Rebuild for new cogl

* Mon May 27 2013 fwang <fwang> 0.1.4-8.mga4
+ Revision: 428620
- rebuild for new cogl

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-7.mga3
+ Revision: 377747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Sun Sep 30 2012 fwang <fwang> 0.1.4-6.mga3
+ Revision: 300917
- update rpm group

* Wed Mar 07 2012 fwang <fwang> 0.1.4-5.mga2
+ Revision: 220709
- rebuild for new cogl

* Thu Feb 23 2012 tv <tv> 0.1.4-4.mga2
+ Revision: 213033
- rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 0.1.4-3.mga2
+ Revision: 197344
- rebuild for new cogl

* Tue Nov 22 2011 wally <wally> 0.1.4-2.mga2
+ Revision: 171050
- rebuild for new cogl and clutter

* Wed Nov 16 2011 wally <wally> 0.1.4-1.mga2
+ Revision: 168097
- new version 0.1.4
- use configure2_5x macro

* Tue Sep 27 2011 ovitters <ovitters> 0.1.2-1.mga2
+ Revision: 149195
- clean spec file
- imported package pinpoint


* Sat Jun 11 2011 Paul W. Frields <stickster@gmail.com> - 0.1.2-1
- Initial RPM package

